Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package org.bouncycastle.openssl

Classes for dealing with OpenSSL PEM files.

See:
Description

Interface Summary
PasswordFinder | call back to allow a password to be fetched when one is requested.

Class Summary
PEMReader | Class for reading OpenSSL PEM encoded streams containing X509 certificates, PKCS8 encoded keys and PKCS7 objects.
PEMWriter | General purpose writer for OpenSSL PEM objects.

Exception Summary
EncryptionException |
PasswordException |
PEMException |

## Package org.bouncycastle.openssl Description

Classes for dealing with OpenSSL PEM files.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES